#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);


    int n, k; cin>>n>>k;
    int s = 1;
    char last; cin>>last;
    cout<<s<<" ";

    for(int i=0; i<n-1; i++){
        char x; cin>>x;
        if(x!=last){
            last = x;
            s+=1;
        }
        cout<<s<<" ";
    }

    return 0;
}